Bug 114141 - Simple printf does not work when using arm-elf cross toolchain
Simple printf does not work when using arm-elf cross toolchain
Status: CLOSED NOTABUG
Product: Red Hat Developer Suite
Classification: Retired
Component: CDT (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-22 20:07 EST by Chandrakala Chavva
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 12:05:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrakala Chavva 2004-01-22 20:07:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
A simple printf test case does not work when arm-elf tools are used to
build the executable in RedHat Linux Distribution workstation and run
using arm-elf-gdb (Gnupro 03r2).

The executable gets build properly, a run or debug does not print what
is mentioned by printf.

#include <stdio.h>
main()
{
   printf ("Hello world");
}

Does not print Hello world. And seen no error messages. Same
executable when ran on command line it works no thru eclipse.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run the above program.
2.
3.
    

Additional info:
Comment 1 Jeff Pound 2004-12-01 12:05:16 EST
This is a known GDB bug and is not specific to Eclipse. see 
http://sources.redhat.com/ml/gdb-patches/2004-01/msg00761.html
or
http://www.gnu.org/software/gdb/bugs/  (sim, 1538)

Note You need to log in before you can comment on or make changes to this bug.